divert(-1)

# Copyright (c) 2004 by Mark Kramer <admin@asarian-host.net>
#	All rights reserved.
# Copyright (c) 1988, 1993
#	The Regents of the University of California. All rights reserved.
#
# By using this file, you agree to the terms and conditions set
# forth in the LICENSE file which can be found at the top level of
# the sendmail distribution.
#
#

divert(0)

VERSIONID(`$Id: socketmap.m4,v 1.0 2004/11/09 13:15:43 mkramer Exp $')

ifdef(`_MAILER_DEFINED_',,`errprint(`*** WARNING: MAILER() should be before HACK(socketmap)')')

LOCAL_CONFIG

# SRS socket maps

Kreverse_srs socket local:/var/run/socketmapd.sock
Kmake_srs socket local:/var/run/socketmapd.sock

# SRS regex map

Kis_srs regex ^<?SRS[01][-+=].*

MAILER_DEFINITIONS

SEnvFromSMTP
R$*		$: $(make_srs $1 $)

LOCAL_RULESETS

###################################################################
###  Local SRS Macros						###
###################################################################

SIsSrs
R$*				$: $(is_srs $1 $)
R$@				$@ YES
R$*				$@ NO

SReverseSrs
R$*				$: $1 $>IsSrs $1
R$* NO				$@ $1
R$* YES				$@ $(reverse_srs $1 $)

LOCAL_RULE_0

# Do we need to reverse SRS address?

R$*				$: $>ReverseSrs $1
